Get parties list
curl --request GET \
--url https://api.modo.link/canton-mainnet/v1/parties \
--header 'x-api-key: <api-key>'import requests
url = "https://api.modo.link/canton-mainnet/v1/parties"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.modo.link/canton-mainnet/v1/parties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": [
{
"partyAddress": "<string>",
"partyName": "<string>",
"partyImg": "<string>",
"balance": 123,
"firstSeen": 123,
"lastSeen": 123,
"totalRewards": 123
}
],
"pageable": {
"sort": {
"sorted": true,
"empty": true,
"unsorted": true
},
"pageSize": 123,
"pageNumber": 123,
"offset": 123,
"paged": true,
"unpaged": true
},
"last": true,
"totalPages": 123,
"totalElements": 123,
"totalCount": 123,
"size": 123,
"number": 123,
"sort": {
"sorted": true,
"empty": true,
"unsorted": true
},
"first": true,
"numberOfElements": 123,
"empty": true
}Parties
Get parties list
Retrieve paginated list of parties
GET
/
v1
/
parties
Get parties list
Authorizations
Query Parameters
Sorting parameter.
Available options:
LAST_ACTIVITY_AT, FIRST_SEEN_AT Queried API page.
Required range:
0 <= x <= 50Number of queried entries.
Required range:
1 <= x <= 100Sorting method: from the lowest element to the highest (ASC) or from the highest element to the lowest (DESC).
Available options:
ASC, DESC Response
200 - */*
OK
⌘I